### org.jfree.layouting.layouter.context

# Interface PageContext

Known Implementing Classes:
  DefaultPageContext

`public interface PageContext`

The page context describes a logical page. The page holds the first and the last value of each counter and string. It also grants access to the global pseudo-page definitions. (Note: This is unclear and unclean and thus not yet implemented. Later it will be, of course...)

  ## Method Summary

  `LayoutStyle`

  `getAreaDefinition(PageAreaType name)`

  `LayoutStyle`

  `getStyle()`

  `boolean`

  `isPseudoPage(PseudoPage page)`
    Returns true, if the given PseudoPage identifier matches the current page state.

## Method Details

### getAreaDefinition

    public LayoutStyle getAreaDefinition(PageAreaType name)

### getStyle

    public LayoutStyle getStyle()

### isPseudoPage

    public boolean isPseudoPage(PseudoPage page)

> Returns true, if the given PseudoPage identifier matches the current page state.
> Returns:
>   true, if the pseudopage matches, false otherwise.